#
# Conditional build:
%bcond_without	tests		# testing
%bcond_without	static_libs	# static library
#
Summary:	libmodbus - free software library to send/receive data according to the Modbus protocol
Summary(pl.UTF-8):	libmodbus - darmowa biblioteka do wysyłania/odbierania danych zgodnie z protokołem Modbus
Name:		libmodbus
# 3.0.x is stable, 3.1.x devel
# This development version is very stable and will be marked as stable very soon
# according to https://www.libmodbus.org/download
Version:	3.1.10
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/stephane/libmodbus/releases
Source0:	https://github.com/stephane/libmodbus/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	4ff4f54659695d7688ca9f4b70980821
URL:		https://libmodbus.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmodbus is a free software library to send/receive data according to
the Modbus protocol. This library is written in C and supports RTU
(serial) and TCP (Ethernet) communications.

%description -l pl.UTF-8
libmodman to darmowa biblioteka do wysyłania/odbierania danych zgodnie
z protokołem Modbus. Jest napisana w C i obsługuje komunikację RTU
(porty szeregowe) i TCP (sieć Ethernet).

%package devel
Summary:	Header files for libmodbus library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmodbus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmodbus library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmodbus.

%package static
Summary:	Static libmodbus library
Summary(pl.UTF-8):	Statyczna biblioteka libmodbus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmodbus library.

%description static -l pl.UTF-8
Statyczna biblioteka libmodbus.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmodbus.la

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_libdir}/libmodbus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmodbus.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmodbus.so
%{_includedir}/modbus
%{_pkgconfigdir}/libmodbus.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmodbus.a
%endif
%changelog
* Sun Mar 05 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmodbus.git;a=log;h=master

* Sat Feb 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 4c865b5
- autotools dependencies

* Sun Feb 12 2023 Bartek Szady <bszx@bszx.eu> bfc176a
- updated to 3.1.10

* Sun Apr 03 2022 Bartek Szady <bszx@bszx.eu> e6de84e
- updated to 3.1.7

* Sat Dec 19 2015 Jan Rękorajski <baggins@pld-linux.org> 1f4a256
- release 2 (by relup.sh)

* Sat Dec 27 2014 Jakub Bogusz <qboosh@pld-linux.org> eb3efda
- updated to 3.0.6
- dropped .la, added -static (on bcond)

* Mon Mar 19 2012 blekot <blekot@pld-linux.org> 1db7520
- new

